Package org.apache.commons.codec.language.bm

# Interface Rule.RPattern

Enclosing class:
  `Rule`

public static interface Rule.RPattern
A minimal wrapper around the functionality of Pattern that we use, to allow for alternate implementations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isMatch(CharSequence input)`
  Tests whether the given input matches this instance.

- ## Method Details

  - ### isMatch

    boolean isMatch(CharSequence input)
    Tests whether the given input matches this instance.
    Parameters:
      `input` - the input to test.
    Returns:
      whether the given input matches this instance.